package com.hai.dao;

import com.hai.entity.HighGasOilPrice;
import com.hai.entity.HighGasOilPriceExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighGasOilPriceMapper extends HighGasOilPriceMapperExt {
    @SelectProvider(type=HighGasOilPriceSqlProvider.class, method="countByExample")
    long countByExample(HighGasOilPriceExample example);

    @DeleteProvider(type=HighGasOilPriceSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighGasOilPriceExample example);

    @Delete({
        "delete from high_gas_oil_price",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_gas_oil_price (merchant_store_id, oil_no, ",
        "oil_no_name, preferential_margin, ",
        "gas_station_drop, price_vip, ",
        "price_gun, price_official, ",
        "oil_type, oil_type_name, ",
        "`status`, ext_1, ext_2, ",
        "ext_3)",
        "values (#{merchantStoreId,jdbcType=BIGINT}, #{oilNo,jdbcType=INTEGER}, ",
        "#{oilNoName,jdbcType=VARCHAR}, #{preferentialMargin,jdbcType=DECIMAL}, ",
        "#{gasStationDrop,jdbcType=DECIMAL}, #{priceVip,jdbcType=DECIMAL}, ",
        "#{priceGun,jdbcType=DECIMAL}, #{priceOfficial,jdbcType=DECIMAL}, ",
        "#{oilType,jdbcType=INTEGER}, #{oilTypeName,jdbcType=VARCHAR}, ",
        "#{status,jdbcType=INTEGER}, #{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, ",
        "#{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighGasOilPrice record);

    @InsertProvider(type=HighGasOilPriceSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighGasOilPrice record);

    @SelectProvider(type=HighGasOilPriceSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="merchant_store_id", property="merchantStoreId", jdbcType=JdbcType.BIGINT),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="preferential_margin", property="preferentialMargin", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_station_drop", property="gasStationDrop", jdbcType=JdbcType.DECIMAL),
        @Result(column="price_vip", property="priceVip", jdbcType=JdbcType.DECIMAL),
        @Result(column="price_gun", property="priceGun", jdbcType=JdbcType.DECIMAL),
        @Result(column="price_official", property="priceOfficial", jdbcType=JdbcType.DECIMAL),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighGasOilPrice> selectByExample(HighGasOilPriceExample example);

    @Select({
        "select",
        "id, merchant_store_id, oil_no, oil_no_name, preferential_margin, gas_station_drop, ",
        "price_vip, price_gun, price_official, oil_type, oil_type_name, `status`, ext_1, ",
        "ext_2, ext_3",
        "from high_gas_oil_price",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="merchant_store_id", property="merchantStoreId", jdbcType=JdbcType.BIGINT),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="preferential_margin", property="preferentialMargin", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_station_drop", property="gasStationDrop", jdbcType=JdbcType.DECIMAL),
        @Result(column="price_vip", property="priceVip", jdbcType=JdbcType.DECIMAL),
        @Result(column="price_gun", property="priceGun", jdbcType=JdbcType.DECIMAL),
        @Result(column="price_official", property="priceOfficial", jdbcType=JdbcType.DECIMAL),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighGasOilPrice selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighGasOilPriceSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighGasOilPrice record, @Param("example") HighGasOilPriceExample example);

    @UpdateProvider(type=HighGasOilPriceSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighGasOilPrice record, @Param("example") HighGasOilPriceExample example);

    @UpdateProvider(type=HighGasOilPriceSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighGasOilPrice record);

    @Update({
        "update high_gas_oil_price",
        "set merchant_store_id = #{merchantStoreId,jdbcType=BIGINT},",
          "oil_no = #{oilNo,jdbcType=INTEGER},",
          "oil_no_name = #{oilNoName,jdbcType=VARCHAR},",
          "preferential_margin = #{preferentialMargin,jdbcType=DECIMAL},",
          "gas_station_drop = #{gasStationDrop,jdbcType=DECIMAL},",
          "price_vip = #{priceVip,jdbcType=DECIMAL},",
          "price_gun = #{priceGun,jdbcType=DECIMAL},",
          "price_official = #{priceOfficial,jdbcType=DECIMAL},",
          "oil_type = #{oilType,jdbcType=INTEGER},",
          "oil_type_name = #{oilTypeName,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighGasOilPrice record);
}