package com.hai.service;

import com.hai.entity.HighMerchantStoreAccount;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 门店账户
 * @author hurui
 */
public interface HighMerchantStoreAccountService {

    /**
     * 编辑门店账户
     * @param merchantStoreAccount
     */
    void editStoreAccount(HighMerchantStoreAccount merchantStoreAccount);

    /**
     * 查询门店账户
     * @param storeId
     * @return
     */
    HighMerchantStoreAccount getStoreAccountDetail(Long storeId);

    /**
     * 进账
     * @param storeId 门店id
     * @param amount  金额
     */
    void recharge(Long storeId, BigDecimal amount, Map<String, Object> otherParam);

    /**
     * 出账
     * @param storeId 门店id
     * @param amount 金额
     * @param otherParam 其他参数
     */
    void consume(Long storeId, BigDecimal amount, Map<String, Object> otherParam);

}
